local _, ns = ...
local B, C, L, DB = unpack(ns)
local P = B:GetModule("Plus")

local _G = getfenv(0)
local select = select

function P:ClassicThreatMeter()
	if not IsAddOnLoaded("ClassicThreatMeter") and not IsAddOnLoaded("ClassicThreatMeter2") and not IsAddOnLoaded("ThreatClassic2") then return end
	if not NDuiPlusDB["ClassicThreatMeter"] then return end

	local function delayFunc()
		local frame = _G.ClassicThreatMeterBarFrame or _G.ClassicThreatMeter2BarFrame or _G.ThreatClassic2BarFrame
		if not frame then return end
		local bg = B.SetBD(frame)
		if frame.header:IsShown() then
			bg:SetPoint("TOPLEFT", -1, 18)
		end

		frame.bg:SetColorTexture(0, 0, 0, 0)
		frame.bg:SetVertexColor(0, 0, 0, 0)
		frame.bg.SetVertexColor = B.Dummy
		frame.header:SetStatusBarColor(0, 0, 0, 0)
		frame.header.SetStatusBarColor = B.Dummy
		frame.header.backdrop:SetBackdropBorderColor(0, 0, 0, 0)
		frame.header.backdrop.SetBackdropBorderColor = B.Dummy
		frame.header.text:SetPoint("LEFT", frame.header, 4, 1)

		for i = 1, frame:GetNumChildren() do
			local child = select(i, frame:GetChildren())
			if child:GetObjectType() == "StatusBar" and child.bg and child.val then
				--child:SetStatusBarTexture(DB.normTex)
				--child.SetStatusBarTexture = B.Dummy
				child.bg:SetVertexColor(0, 0, 0, 0)
				child.bg.SetVertexColor = B.Dummy
				child.backdrop:SetBackdropColor(0, 0, 0, 0)
				child.backdrop.SetBackdropColor = B.Dummy
				child.backdrop:SetBackdropBorderColor(0, 0, 0, 0)
				child.backdrop.SetBackdropBorderColor = B.Dummy
			end
		end
	end
	C_Timer.After(.5, delayFunc)
end
